Subject: tc rsvp filter show broke

From: John Fastabend <[email-masked]>
Date: Fri, 26 Sep 2014 10:41:25 -0700

Hi Jamal,

Here is another strange 'tc' result that I think is a
bug. If it was intended I can't see why. Show filter
commands on rsvp classifiers only list the first entry?

# for i in {10..20}; do
tc filter add dev p3p2 protocol ip parent 8001: prio $i \
	rsvp session 12.0.0.$i ipproto udp classid 1:$i;
done

# tc filter show dev p3p2
filter parent 8001: protocol ip pref 10 rsvp
# tc filter show dev p3p2  prio 11
filter parent 8001: protocol ip rsvp
# tc filter show dev p3p2  prio 22

Although the entries must still be around because listing
the prio explicitly show the entries. Also the case where
the prio doesn't exist returns without any errors. A better
response might be 'EINVAL' or something.

This is on 3.16 so nothing to do with my changes. I'm
not sure I'll get a chance until Monday to look at it
so figured I'll document it here in case someone else has
a moment.

Thanks,
John

-- 
John Fastabend         Intel Corporation